{if !empty($cHinweis)}<div class="alert alert-success">{$cHinweis}</div>{/if}
{if !empty($cError)}<div class="alert alert-danger">{$cError}</div>{/if}

<form method="post" data-plugin="{$oPlugin->getPluginID()}" data-io="{$cssPlugin->getAdminIOLink()}" data-session="{$smarty.session.jtl_token}">
    {$jtl_token}
    <input type="hidden" name="cssAdminConfigAction" value="saveConfig" />


    <fieldset class="border p-2 form-group">
        <legend class="w-auto" data-section="plugin">{__('Plugin Konfiguration')}
            <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                  data-original-title="{__('Erklärung zur Funktionsweise des Plugins.')}">
                <span class="fa fa-info-circle"> </span>
            </span>
        </legend>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Das Plugin ist')}</span>
            </div>
            <select id="pluginActive" name="pluginActive" class="form-control">
                <Option {if $pluginConfig->pluginActive=='Y'} selected {/if} value="Y">{__('Aktiviert')}</Option>
                <Option {if $pluginConfig->pluginActive=='N'} selected {/if} value="N">{__('Deaktiviert')}</Option>
            </select>
            <div class="input-group-append"  data-section="active">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen Sie fest ob das Plugin aktiv ist.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <!-- ab hier kommen die individuellen Einstellungen -->
    </fieldset>

    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Konfiguration')}</legend>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Template Framework')}</span>
            </div>
            <select id="framework" name="framework" class="form-control">
                <Option {if $pluginConfig->framework=='B3'} selected {/if} value="B3">{__('Bootstrap 3 (z.B. EVO)')}</Option>
                <Option {if $pluginConfig->framework=='B4'} selected {/if} value="B4">{__('Bootstrap 4 (z.B. NOVA)')}</Option>
                {if isset($bHasCustom)}
                    <Option {if $pluginConfig->framework=='custom'} selected {/if} value="custom">{__('Custom (Ihre eigene updatesichere Pluginmodifikation)')}</Option>
                {/if}
            </select>
            <div class="input-group-append" data-section="framework">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier geben Sie an, welches Framework Ihr Template nutzt, Wenn Sie es nicht wissen, fragen Sie bitte den Hersteller des Templates.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        <div class="input-group mb-3" style="margin-top:-17px;">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Default Konfiguration Templates')}</span>
            </div>
            <button  data-template="nova" class="form-control btn btn-default" type="button">Nova</button>
            <button  data-template="snackys" class="form-control btn btn-default" type="button">Snackys</button>
            <button  data-template="salepix" class="form-control btn btn-default" type="button">Salepix</button>
            <button  data-template="easytemplate" class="form-control btn btn-default" type="button">easytemplate</button>
            <div class="input-group-append" data-section="defaultselector">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen die Selectoren fest.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Selektor f&uuml;r die Anzeige im Check-out')}</span>
            </div>
            <input type="text" name="selector" class="form-control" value="{$pluginConfig->selector}" placeholder="{__('#complete_order')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen die Selectoren fest.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Einfügemethode')}</span>
            </div>
            <select id="selector_position" name="selector_position" class="form-control">
                <Option {if $pluginConfig->selector_position=='off'} selected {/if} value="off">{__('Deaktiviert')}</Option>
                <Option {if $pluginConfig->selector_position=='prepend'} selected {/if} value="prepend">{__('Am Anfang des Elements')}</Option>
                <Option {if $pluginConfig->selector_position=='append'} selected {/if} value="append">{__('Am Ende des Elements')}</Option>
                <Option {if $pluginConfig->selector_position=='before'} selected {/if} value="before" >{__('vor dem Element')}</Option>
                <Option {if $pluginConfig->selector_position=='after'} selected {/if} value="after" >{__('Nach dem Element')}</Option>
                <Option {if $pluginConfig->selector_position=='html'} selected {/if} value="html" >{__('Inhalt des Elements ersetzen')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen die Einfügemethode fest oder deaktivieren diese Option.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

    </fieldset>

    <fieldset class="border p-2 form-group">
        <legend class="w-auto" data-section="css_js">
            {__('Zusätzliche Styles/ JavaScript')}
            <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                  data-original-title="{__('Erklärung zur Nutzung des JS / CSS.')}">
                    <span class="fas fa-info-circle fa-fw"></span>
                </span>
        </legend>



        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Styles')}</span>
            </div>
            <textarea data-editor='css' style="min-height:400px" id="css" class="form-control" name="css">{$pluginConfig->css}</textarea>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier k&ouml;nnen Sie je nach bedarf eigene Styles anlegen.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('JavaScript')}</span>
            </div>
            <textarea data-editor='javascript' style="min-height:400px" id="javaScript" class="form-control" name="js">{$pluginConfig->js}</textarea>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier k&ouml;nnen Sie je nach bedarf zusätzliches JavaScript anlegen.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>


    </fieldset>

<div class="save-wrapper">
    <div class="ml-auto col-sm-6 col-xl-auto">
        <button name="a" type="submit" value="" class="btn btn-outline-primary btn-block save">
            <i class="fas fa-save"></i>&nbsp;{__('Konfiguration speichern')}
        </button>
    </div>
</div>
</form>

