<?php declare(strict_types=1);

/**
 * JTL Plugin
 * Copyright (C) 2011 - 2018 Andreas Petermann
 *
 * PHP version 7.3+
 *
 * @copyright css-umsetzung
 * @author Andreas Petermann <info@css-umsetzung.de>
 *
 */


namespace Plugin\css_OrderAttribute;


$js_arr = array(
		'<script src="'.$plugin->getPaths()->getAdminURL().'vendor/ace/src-min-noconflict/ace.js?v='.$plugin->getMeta()->getVersion().'"></script>',
		'<script src="'.$plugin->getPaths()->getAdminURL().'vendor/ace/src-min-noconflict/ext-language_tools.js?v='.$plugin->getMeta()->getVersion().'"></script>',
		'<script src="'.$plugin->getPaths()->getAdminURL().'vendor/ace/ace.js?v='.$plugin->getMeta()->getVersion().'"></script>',
    '<script src="'.$plugin->getPaths()->getAdminURL().'assets/js/admin.js?v='.$plugin->getMeta()->getVersion().'"></script>',
    '<script src="'.$plugin->getPaths()->getAdminURL().'assets/js/plugin.js?v='.$plugin->getMeta()->getVersion().'"></script>',
    '<script src="'.$plugin->getPaths()->getAdminURL().'vendor/sortable/Sortable.js?v='.$plugin->getMeta()->getVersion().'"></script>'
);

$css_arr = array(
    '<link rel="stylesheet" type="text/css" href="'.$plugin->getPaths()->getAdminURL().'assets/css/admin.css'.'" media="screen">'
);

$smarty->assign("admin_js",$smarty->getTemplateVars('admin_js').join('',$css_arr).join('',$js_arr));
