{if !empty($cHinweis)}<div class="alert alert-success">{$cHinweis}</div>{/if}
{if !empty($cError)}<div class="alert alert-danger">{$cError}</div>{/if}

{if !empty($oAttrConfig->id) || !empty($newAttr)}
<form method="post" action="{$oCssPlugin->getPluginLink()}" data-plugin="{$oPlugin->getPluginID()}" data-io="{$cssPlugin->getAdminIOLink()}" data-session="{$smarty.session.jtl_token}">
    {$jtl_token}
    <input type="hidden" name="cssAdminAttributeAction" value="saveAttribut" />
    <input type="hidden" name="id" value="{if !empty($oAttrConfig->id)}{$oAttrConfig->id}{else}0{/if}" />

    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Attribute')}</legend>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Name des Attributes')}</span>
            </div>
            <input type="text" name="cName" required class="form-control" {if !empty($oAttrConfig->cName)}readonly{/if} value="{if !empty($oAttrConfig)}{$oAttrConfig->cName}{/if}" placeholder="{__('wawi Attributsname')}">
            <div class="input-group-append" data-section="name">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('an die wawi übergebener Name des Eigenen Feldes.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Attribut ist')}</span>
            </div>
            <select id="nAktiv" name="nAktiv" class="form-control">
                <option {if !empty($oAttrConfig) && $oAttrConfig->nAktiv=='1'} selected {/if} value="1">{__('Aktiviert')}</option>
                <option {if  !empty($oAttrConfig) && $oAttrConfig->nAktiv=='0'} selected {/if} value="0">{__('Deaktiviert')}</option>
            </select>
            <div class="input-group-append" data-section="attrActive">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen Sie fest ob das Attribut aktiv ist.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Sortierung')}</span>
            </div>
            <input type="number" name="nSort" required class="form-control" value="{if !empty($oAttrConfig)}{$oAttrConfig->nSort}{else}0{/if}" placeholder="{__('Sortierungsnummer')}">
            <div class="input-group-append" data-section="sort">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Reihenfolge des Attributes.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Attribut ist ein')}</span>
            </div>
            <select id="nPflicht" name="nPflicht" class="form-control">
                <option {if  !empty($oAttrConfig) && $oAttrConfig->nPflicht=='1'} selected {/if} value="1">{__('Pflichtfeld')}</option>
                <option {if  !empty($oAttrConfig) && $oAttrConfig->nPflicht=='0'} selected {/if} value="0">{__('kein Pflichtfeld')}</option>
            </select>
            <div class="input-group-append" data-section="pflichtfeld">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen Sie fest ob das Attribut ein Pflichtfeld ist.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Type des Attributs')}</span>
            </div>
            <select id="cType" name="cType" class="form-control">
                <option {if !empty($oAttrConfig) &&  $oAttrConfig->cType=='text'} selected {/if} value="text">{__('Textfeld einzeilig')}</option>
                <option {if !empty($oAttrConfig) &&  $oAttrConfig->cType=='date'} selected {/if} value="date">{__('Datumsfeld')}</option>
                <option {if !empty($oAttrConfig) &&  $oAttrConfig->cType=='time'} selected {/if} value="time">{__('Zeitfeld')}</option>
                <option {if !empty($oAttrConfig) &&  $oAttrConfig->cType=='datetime-local'} selected {/if} value="datetime-local">{__('Datum und Zeit')}</option>
                <option {if  !empty($oAttrConfig) &&  $oAttrConfig->cType=='checkbox'} selected {/if} value="checkbox">{__('Checkbox')}</option>
                <option {if  !empty($oAttrConfig) &&  $oAttrConfig->cType=='radio'} selected {/if} value="radio">{__('Radio Buttons')}</option>
                <option {if  !empty($oAttrConfig) &&  $oAttrConfig->cType=='dropdown'} selected {/if} value="dropdown">{__('Dropdown Feld')}</option>
                <option {if !empty($oAttrConfig) &&  $oAttrConfig->cType=='textarea'} selected {/if} value="textarea">{__('Textfeld mehrzeilig')}</option>
            </select>
            <div class="input-group-append" data-section="type">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen Sie fest ob das Attribut aktiv ist.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <fieldset class="css-text css-date css-time css-textarea css-datetime-local border p-2 form-group section-css-options" style="margin:1.5rem 1.5rem;
                {if  empty($oAttrConfig->cType) ||  in_array($oAttrConfig->cType,['text','date','time','textarea','datetime-local'])}{else}display:none{/if}">
            <legend class="w-auto" data-section="optionen">{__('Optionen')}
                <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                      data-original-title="{__('Erklärung zu den Optionen.')}">
                <span class="fa fa-info-circle"> </span>
            </span>
            </legend>
            <div class="input-group mb-3">
                <div class="input-group-prepend">
                    <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('max. Breite in px')}</span>
                </div>
                <input type="number" name="nWidth" required class="form-control" value="{if !empty($oAttrConfig)}{$oAttrConfig->nWidth}{else}0{/if}" placeholder="{__('10')}">
                <div class="input-group-append" data-section="width">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Max. Breite in Pixel.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
                </div>
            </div>

        </fieldset>

        <fieldset class="css-dropdown css-checkbox css-radio border p-2 form-group section-css-options" style="margin:1.5rem 1.5rem;
                {if  empty($oAttrConfig) ||  !in_array($oAttrConfig->cType,['dropdown','radio','checkbox'])}display:none{/if}">
            <legend class="w-auto" data-section="optionen">{__('Optionen')}
                <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                      data-original-title="{__('Erklärung zu den Optionen.')}">
                <span class="fa fa-info-circle"> </span>
            </span>
            </legend>


            <div class="input-group mb-3">
                <div class="input-group-prepend" >
                    <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('größe der Spalten (Grid)<br>xs / sm / md / lg')}</span>
                </div>
                <div class="input-group-append" style="flex:1 0 auto; margin-left:-2px;">
                    <select id="gridXS" name="gridXS" class="form-control ">
                        <option {if  !empty($oAttrConfig) && $oAttrConfig->gridXS=='auto'} selected {/if} value="auto">{__('auto')}</option>
                        {for $count=1 to 12}{if !in_array($count,[1,2,3,4,6,12])}{continue}{/if}
                            <option {if !empty($oAttrConfig) && $oAttrConfig->gridXS==$count} selected {/if} value="{$count}">{$count} spalte{if $count>1}n{/if}</option>
                        {/for}
                    </select>
                </div>

                <div class="input-group-append" style="flex:1 0 auto; margin-left:-2px;">
                    <select id="gridSM" name="gridSM" class="form-control ">
                        <option {if  !empty($oAttrConfig) && $oAttrConfig->gridSM=='auto'} selected {/if} value="auto">{__('auto')}</option>
                        {for $count=1 to 12}{if !in_array($count,[1,2,3,4,6,12])}{continue}{/if}
                            <option {if !empty($oAttrConfig) && $oAttrConfig->gridSM==$count} selected {/if} value="{$count}">{$count} spalte{if $count>1}n{/if}</option>
                        {/for}
                    </select>
                </div>

                <div class="input-group-append" style="flex:1 0 auto; margin-left:-2px;">
                    <select id="gridMD" name="gridMD" class="form-control ">
                        <option {if  !empty($oAttrConfig) && $oAttrConfig->gridMD=='auto'} selected {/if} value="auto">{__('auto')}</option>
                        {for $count=1 to 12}{if !in_array($count,[1,2,3,4,6,12])}{continue}{/if}
                            <option {if !empty($oAttrConfig) && $oAttrConfig->gridMD==$count} selected {/if} value="{$count}">{$count} spalte{if $count>1}n{/if}</option>
                        {/for}
                    </select>
                </div>

                <div class="input-group-append" style="flex:1 0 auto; margin-left:-2px;">
                    <select id="gridLG" name="gridLG" class="form-control ">
                        <option {if  !empty($oAttrConfig) && $oAttrConfig->gridLG=='auto'} selected {/if} value="auto">{__('auto')}</option>
                        {for $count=1 to 12}{if !in_array($count,[1,2,3,4,6,12])}{continue}{/if}
                            <option {if !empty($oAttrConfig) && $oAttrConfig->gridLG==$count} selected {/if} value="{$count}">{$count} spalte{if $count>1}n{/if}</option>
                        {/for}
                    </select>
                </div>

                <div class="input-group-append" data-section="grid">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen Sie die Spaltenaufteilung fst.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
                </div>
            </div>



{if !empty($oAttrConfig) && count($oAttrConfig->oOptions) > 0}
            <ul id="Optionslist" class="list-group">
            {foreach $oAttrConfig->oOptions as $oOpt}
                <li class="input-group mb-3 css-options"
                style="display: flex;
  justify-content: space-around;
  align-items: flex-start;
  align-content: stretch;"
                >
                    <div class="input-group-prepend" style="flex 1 0 auto;">
                        <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Bezeichnung / Wert')}</span>
                    </div>
                    <div class="input-group-append" style="flex:1 0 auto; ">
                        <div style="width:100%">
                            {foreach $availableLanguages as $language}
                            {assign var=cISO value=$language->getCode()}
                            {assign var=kSprache value=$language->getId()}
                            <div class="row" style="margin:0;flex-wrap: nowrap;align-items: stretch;">
                                <span style="padding:3px 10px;border:1px solid #c3c3c3;">{$language->getNameDE()}</span>
                                <input name="options[sprache_{$kSprache}][]"  class="form-control " value="{$oOpt->label['sprache_'|cat:$kSprache]}" autocomplete="off">
                            </div>
                            {/foreach}
                        </div>
                    </div>
                    <div class="input-group-append" style="flex:1 0 auto; max-width:250px;margin-left:-2px; ">
                        <input name="optionValues[wert][]"  class="form-control " value="{$oOpt->cWert}" autocomplete="off">
                    </div>
                    <div class="input-group-append" style="min-width:60px; max-width:60px ">
                        <button title="" data-placement="left" data-toggle="tooltip" data-html="true" class=" btn  btn-block  btn-danger btn-heading css-minus" type="button">
                            <i class="fa fa-trash"></i>
                        </button>
                    </div>
                    <div class="input-group-append" style="min-width:60px; max-width:60px">
                        <button title="" data-placement="left" data-html="true" class="btn btn-block btn-success btn-heading css-plus" type="button">
                            <i class="fa fa-plus"></i>
                        </button>
                    </div>
                    <div class="input-group-append" style="min-width:60px; max-width:60px; position:relative;">
                            <i class="fa fa-align-justify" aria-hidden="true" style=" position:absolute; right:10px; padding:7px; cursor:grab; color:darkgray"></i>
                    </div>
                </li>
            {/foreach}
            </ul>
{else}
        <ul id="Optionslist" class="list-group">
        <li class="input-group mb-3 css-options"
            style="display: flex;
  justify-content: space-around;
  align-items: flex-start;
  align-content: stretch;"
        >

        <div class="input-group-prepend" style="flex 1 0 auto;">
            <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Bezeichnung / Wert')}</span>
        </div>
        <div class="input-group-append" style="flex:1 0 auto; ">
            <div style="width:100%">
                {foreach $availableLanguages as $language}
                    {assign var=cISO value=$language->getCode()}
                    {assign var=kSprache value=$language->getId()}
                    <div class="row" style="margin:0;flex-wrap: nowrap;align-items: stretch;">
                        <span style="padding:3px 10px;border:1px solid #c3c3c3;">{$language->getNameDE()}</span>
                        <input name="options[sprache_{$kSprache}][]"  class="form-control " value="" autocomplete="off">
                    </div>
                {/foreach}
            </div>
        </div>
        <div class="input-group-append" style="flex:1 0 auto; max-width:250px;margin-left:-2px;">
            <input name="optionValues[wert][]"  class="form-control " value="" autocomplete="off">
        </div>
        <div class="input-group-append" style="min-width:60px; max-width:60px ">
            <button title="" data-placement="left" data-toggle="tooltip" data-html="true" class=" btn  btn-block  btn-danger btn-heading css-minus" type="button">
                <i class="fa fa-trash"></i>
            </button>
        </div>
        <div class="input-group-append" style="min-width:60px; max-width:60px">
            <button title="" data-placement="left" data-html="true" class="btn btn-block btn-success btn-heading css-plus" type="button">
                <i class="fa fa-plus"></i>
            </button>
        </div>
            <div class="input-group-append" style="min-width:60px; max-width:60px; position:relative;">
                <i class="fa fa-align-justify" aria-hidden="true" style=" position:absolute; right:10px; padding:7px; cursor:grab; color:darkgray"></i>
            </div>
        </li>
        </ul>

{/if}
        </fieldset>


        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Aktiv für folgende Kundengruppen')}</span>
            </div>
            <div class="col-xs col-sd col-md" style="padding:0; border-radius:0;">
                <select id="customerGroup" name="customerGroup[]" required class=" select2 custom-select" style="border-radius:0;" multiple>
                    {foreach $customerGroups as $customerGroup}
                        <option value="{$customerGroup->getID()}" {if !empty($oAttrConfig->customerGroup) && in_array($customerGroup->getID(),$oAttrConfig->customerGroup)}selected="selected"{/if}>{$customerGroup->getName()}</option>
                    {/foreach}
                </select></div>
            <div class="input-group-append" data-section="group">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie die Kundengruppen an für dieses Attribut angezeigt werden soll.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        {if !empty($warengruppen) && count($warengruppen)>0}
        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Aktiv für folgende Warengruppen')}</span>
            </div>
            <div class="col-xs col-sd col-md" style="padding:0; border-radius:0;">
                <select id="warengruppen" name="warengruppen[]" class=" select2 custom-select" style="border-radius:0;" multiple>
                    {foreach $warengruppen as $warengruppe}
                        <option value="{$warengruppe->kWarengruppe}" {if !empty($oAttrConfig->warengruppen) && in_array($warengruppe->kWarengruppe,$oAttrConfig->warengruppen)}selected="selected"{/if}>{$warengruppe->cName}</option>
                    {/foreach}
                </select></div>
            <div class="input-group-append" data-section="warengruppe">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Das Plugin reagiert bei den Warengruppen darauf ob einer der Artikel sich in der ausgewählten Warengruppe befindet.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        {/if}

        {if !empty($attributes) && count($attributes)>0}
        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Aktiv für folgende Funktionsattribute')}</span>
            </div>
            <div class="col-xs col-sd col-md" style="padding:0; border-radius:0;">
                <select id="attributes" name="attributes[]"  class=" select2 custom-select" style="border-radius:0;" multiple>
                    {foreach $attributes as $attribute}
                        <option value="{$attribute->cName}" {if !empty($oAttrConfig->attributes) && in_array($attribute->cName,$oAttrConfig->attributes)}selected="selected"{/if}>{$attribute->cName}</option>
                    {/foreach}
                </select></div>
            <div class="input-group-append" data-section="function">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Das Plugin reagiert bei den Funktionsattributen nur darauf ob ein Wert, bei einem der Produkte im Warenkorb gesetzt ist')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        {/if}

        <hr>

        {if count($availableLanguages) > 0}
        {foreach $availableLanguages as $language}
            {assign var=cISO value=$language->getCode()}
            {assign var=kSprache value=$language->getId()}
            {assign var=cISOText value="cText_$cISO"}

            <div class=" alert alert-info" style="margin-top:1rem;">Sprache {$language->getDisplayLanguage()}</div>
            <div class="input-group mb-3">
                <div class="input-group-prepend">
                    <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Label / Überschrift ')}</span>
                </div>
                <textarea style="min-height:60px" class="form-control" required name="cText[{$language->getId()}]">{if !empty($oAttrConfig->sprachen[$language->getId()]->cText)}{$oAttrConfig->sprachen[$language->getId()]->cText}{/if}</textarea>
                <div class="input-group-append" data-section="bezeichnung">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Geben Sie für das Feld bitte eine Bezeihnung ein die der User dann sieht.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
                </div>
            </div>

            <div class="input-group mb-3">
                <div class="input-group-prepend">
                    <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Hinweistext ')}</span>
                </div>
                <textarea style="min-height:60px" class="form-control" name="cBeschreibung[{$language->getId()}]">{if !empty($oAttrConfig->sprachen[$language->getId()]->cBeschreibung)}{$oAttrConfig->sprachen[$language->getId()]->cBeschreibung}{/if}</textarea>
                <div class="input-group-append" data-section="hinweis">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier können Sie einen zusätzlichen Hinweis zur Eingabe hinterlegen.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
                </div>
            </div>

        {/foreach}
        {/if}
    </fieldset>

    <div class="save-wrapper row">
        <div class="col ml-auto col-sm-6 ">
            <a href="{$oCssPlugin->getPluginLink()}" class="btn btn-outline-primary btn-block">
                <i class="fa fa-arrow-left"></i>&nbsp;{__('Zurück zur Übersicht')}
            </a>
        </div>
        <div class="col ml-auto col-sm-6 ">
            <button name="a" type="submit" value="" class="btn btn-outline-primary btn-block save">
                <i class="fas fa-save"></i>&nbsp;{__('Konfiguration speichern')}
            </button>
        </div>
    </div>
</form>
{else}
    <fieldset class="border p-2 form-group" data-plugin="{$oPlugin->getPluginID()}" data-io="{$cssPlugin->getAdminIOLink()}" data-session="{$smarty.session.jtl_token}">
        <legend class="w-auto" data-section="attribute">{__('Auftragsattribute verwalten')}
            <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                  data-original-title="{__('Erklärung zur Funktionsweise des Plugins.')}">
                <span class="fas fa-info-circle fa-fw"> </span>
            </span>
        </legend>
        <div class="table-responsive">
    <table class="table table-striped table-align-top">
        <thead>
            <th class="th-1">Name</th>
            <th class="th-2">Aktiv</th>
            <th class="th-3">Pflichtfeld</th>
            <th class="th-3">Type</th>
            <th class="th-3">Sortierung</th>
            <th class="th-7">Kundengruppen</th>
            <th class="th-7">Warengruppen</th>
            <th class="th-7">Attribute</th>
            <th class="th-1">action</th>
        </thead>
        <tbody id="Attributeslist" data-plugin="{$oPlugin->getPluginID()}" data-io="{$oCssPlugin->getAdminIOLink()}" data-session="{$smarty.session.jtl_token}">
        {foreach $aPluginAttributes as $oAttr}
            <tr>
            <td>{$oAttr->cName}</td>
                <td class="text-center">
                    <button
                        class="btn-{if $oAttr->nAktiv}success{else}danger{/if}"
                        type="button"
                        style="border:0;"
                        data-id="{$oAttr->id}"
                        data-attributeupdate="true"
                        data-action="setActive"
                        id="css-nAktiv-{$oAttr->id}"
                    >{if $oAttr->nAktiv}Y{else}N{/if}</button></td>
            <td class="text-center">
                <button
                        class="btn-{if $oAttr->nPflicht}success{else}danger{/if}"
                        type="button"
                        style="border:0;"
                        data-id="{$oAttr->id}"
                        data-attributeupdate="true"
                        data-action="setPflicht"
                        id="css-nPflicht-{$oAttr->id}"
                >{if $oAttr->nPflicht}Y{else}N{/if}</button></td>
            <td>{$oAttr->cType}</td>
                <td class="text-center css-sort"><input type="hidden" data-type="sort" value="{$oAttr->nSort}" name="attr_{$oAttr->id}"><span class="sortNumber">{$oAttr->nSort}</span></td>
            <td>{$oAttr->customerGroupNames}</td>
            <td>{$oAttr->warengruppenNames}</td>
            <td>{$oAttr->attributesNames}</td>
            <td style="position:relative; padding-right:40px; white-space:nowrap" >
                <form method="post" action="{$oCssPlugin->getPluginLink()}">
                    {$jtl_token}
                    <input type="hidden" name="id" value="{$oAttr->id}" />
                    <button type='submmit' name="cssAdminAttributeAction" value="edit" class="btn-info"><i class="fas fa-edit"></i></button>
                    <button type='submmit' name="cssAdminAttributeAction" value="delete" class="btn-danger"><i class="fas fa-trash"></i></button>
                    <i class="fa fa-align-justify" aria-hidden="true" style="position:absolute; right:10px;  padding:7px; cursor:grab; color:darkgray"></i>
                </form>
            </td>
            </tr>
        {/foreach}
        </tbody>
    </table>
</div>
    </fieldset>
    </fieldset>
<form method="post" action="{$oCssPlugin->getPluginLink()}">
    {$jtl_token}
    <input type="hidden" name="cssAdminAttributeAction" value="new" />
    <input type="hidden" name="id" value="0" />
    <div class="save-wrapper">
        <div class="ml-auto col-sm-6 col-xl-auto">
            <button name="new" type="submit" value="true" class="btn btn-outline-primary btn-block save">
                {__('Neues Attribut erstellen')}
            </button>
        </div>
    </div>
{/if}

    <script>

    $(function() {
    {if !empty($oAttrConfig->id) || !empty($newAttr)}

      var sortable = new Sortable(Optionslist, {
        onEnd: function(evt) {
        }
      });
{else}
      var sortable = new Sortable(Attributeslist, {
        onEnd: function (evt) {
          $("#Attributeslist tr").each(function () {
            var index = $(this).index()+1;
            $(this).find('[data-type="sort"]').val(index*10);
            $(this).find('.sortNumber').html(index*10);
          });
          $.cssOrderAttributeAdmin.sortAttributes($("#Attributeslist"));
        }
      });
{/if}
    });
</script>
